version: '3'
services:
  mysql-server:
    image: sgsistemas/mysql:5.7.25
    restart: always
    container_name: mysql-server
    hostname: MySQL-SGDFe
# Modo host nao cria placa de rede no host, e exporta a porta direto para a maquina host.
# Modo bridge cria a placa de rede no host, e pode ser feito o redirecionamento de porta do host para o container.
    network_mode: host
#   network_mode: bridge
    ports:
      - 3306:3306
    environment:
      MYSQL_ROOT_PASSWORD: 'senha_aqui'
#      MYSQL_DATABASE: teste
      MYSQL_USER: 'usuario'
      MYSQL_PASSWORD: 'senha_usuario'
    ulimits:
      nproc: 65535
      nofile:
        soft: 500000
        hard: 800000
    volumes:
      # Local banco de dados
      - /opt/mysql:/var/lib/mysql
      # Local configuracao do mysql
      - /opt/sg/my.cnf:/etc/my.cnf
      - /opt/sg/mysql-server:/etc/logrotate.d/mysql-server
      - /opt/log-mysql:/var/log/mysql
